org.richfaces.component

## Enum UICommandLink.Properties

- java.lang.Object
- - java.lang.Enum<UICommandLink.Properties>
  - - org.richfaces.component.UICommandLink.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UICommandLink.Properties>
  Enclosing class:
    UICommandLink

      protected static enum UICommandLink.Properties
      extends Enum<UICommandLink.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `bypassUpdates`
    `charset`
    `coords`
    `data`
    `disabled`
    `hreflang`
    `limitRender`
    `onbeforedomupdate`
    `onbegin`
    `onclick`
    `oncomplete`
    `ondblclick`
    `onerror`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `rel`
    `resetValues`
    `rev`
    `shape`
    `status`
    `style`
    `styleClass`
    `tabindex`
    `target`
    `title`
    `type`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UICommandLink.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UICommandLink.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final UICommandLink.Properties accesskey

    - #### bypassUpdates

          public static final UICommandLink.Properties bypassUpdates

    - #### charset

          public static final UICommandLink.Properties charset

    - #### coords

          public static final UICommandLink.Properties coords

    - #### data

          public static final UICommandLink.Properties data

    - #### disabled

          public static final UICommandLink.Properties disabled

    - #### hreflang

          public static final UICommandLink.Properties hreflang

    - #### limitRender

          public static final UICommandLink.Properties limitRender

    - #### onbeforedomupdate

          public static final UICommandLink.Properties onbeforedomupdate

    - #### onbegin

          public static final UICommandLink.Properties onbegin

    - #### onclick

          public static final UICommandLink.Properties onclick

    - #### oncomplete

          public static final UICommandLink.Properties oncomplete

    - #### ondblclick

          public static final UICommandLink.Properties ondblclick

    - #### onerror

          public static final UICommandLink.Properties onerror

    - #### onkeydown

          public static final UICommandLink.Properties onkeydown

    - #### onkeypress

          public static final UICommandLink.Properties onkeypress

    - #### onkeyup

          public static final UICommandLink.Properties onkeyup

    - #### onmousedown

          public static final UICommandLink.Properties onmousedown

    - #### onmousemove

          public static final UICommandLink.Properties onmousemove

    - #### onmouseout

          public static final UICommandLink.Properties onmouseout

    - #### onmouseover

          public static final UICommandLink.Properties onmouseover

    - #### onmouseup

          public static final UICommandLink.Properties onmouseup

    - #### rel

          public static final UICommandLink.Properties rel

    - #### resetValues

          public static final UICommandLink.Properties resetValues

    - #### rev

          public static final UICommandLink.Properties rev

    - #### shape

          public static final UICommandLink.Properties shape

    - #### status

          public static final UICommandLink.Properties status

    - #### style

          public static final UICommandLink.Properties style

    - #### styleClass

          public static final UICommandLink.Properties styleClass

    - #### tabindex

          public static final UICommandLink.Properties tabindex

    - #### target

          public static final UICommandLink.Properties target

    - #### title

          public static final UICommandLink.Properties title

    - #### type

          public static final UICommandLink.Properties type

  - ### Method Detail

    - #### values

          public static UICommandLink.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UICommandLink.Properties c : UICommandLink.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UICommandLink.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.